Description

Supportanfrage

wir habe kurz zwei Fragen zu der allgemeinen ADTF Konfiguration.

Wir würden gerne den "Enable Record Dialog" für immer deaktivieren.

Leider haben wir in den Projekt Dateien nicht gefunden wo man es auf "false" setzten kann.

Des Weiteren haben dir das Problem, dass wenn Paar Messungen ausgeführt worden sind, die Projekt Datei geändert wird.

Dies führt dazu, dass ADTF beim Beenden fragt ob das Projekt gespeichert werden soll.

Diese Abfrage würden wir gerne auch allgemeingültig deaktivieren.

Könnten Sie uns bei hier helfen?

Warum: Die ADTF Instanzen laufen auf mehreren PC und die Kollegen können hier die Einstellungen beliebig verändern.

Wir würden gerne sicherstellen, dass beim Starten des ADTFs die richtigen Einstellungen geladen werden.

Wir könne auch kurz telefonieren um evtl. mehr Infos zur Verfügung zu stellen.

Vielen lieben Dank für die Unterstützung und leibe Grüße,

Lösung

Der Record Dialog lässt sich in der GUI unter Options -> Enable Record Dialog deaktivieren.

Da es sich um eine GUI Einstellung handelt (nicht projektspezifisch, sondern ADTF Allgemein), landet das in deiner verwendeten

*.settings Datei (Der Name entspricht dem deiner *.manifest Datei und liegt neben dieser).

enable_record_dialog="false" 

 Siehe Auch Kap. 3.11.3 GUI Settings → Common GUI → Record Dialog im Usermanual

Wenn Änderungen an der Configuration vorgenommen wurden, dann frägt dich das System ob gespeichert werden soll.

Was du ignorieren kannst ist der Wechsel der Active Config: Options -> Settings -> GUI Settings -> ConfigEditor: Change active

configuration is modification

Das wird ebenso im *.settings File abgelegt:

ChangeActiveConfigIsModification="false" 

 Alles andere kannst du nicht beeinflussen, außer den adtf_launcher mit -quit starten, dann sollten Dialoge grundsätzlich unterdrückt

werden.

Für weitere Infos siehe adtf_launcher -help

Spätestens eine Kombination aller drei Vorschläge sollte deinen Use Cases (ich nehme an Automatisierung ?) abdecken, ansonsten

ist es nicht möglich in ADTF 2.x.
#1 - 2019-11-28 07:49 - hidden

Mobile:  Dietmar Kasper

#2 - 2019-11-28 09:16 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to ADTF::Common

#3 - 2019-11-28 09:31 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Dietmar,

der Record Dialog lässt sich in der GUI unter Options -> Enable Record Dialog deaktivieren.

Da es sich um eine GUI Einstellung handelt (nicht projektspezifisch, sondern ADTF Allgemein), landet das in deiner verwendeten *.settings Datei (Der

Name entspricht dem deiner *.manifest Datei und liegt neben dieser).

enable_record_dialog="false" 

 Siehe Auch Kap. 3.11.3 GUI Settings → Common GUI → Record Dialog im Usermanual

Wenn Änderungen an der Configuration vorgenommen wurden, dann frägt dich das System ob gespeichert werden soll.

Was du ignorieren kannst ist der Wechsel der Active Config: Options -> Settings -> GUI Settings -> ConfigEditor: Change active configuration is

modification

Das wird ebenso im *.settings File abgelegt:

ChangeActiveConfigIsModification="false" 

 Alles andere kannst du nicht beeinflussen, außer den adtf_launcher mit -quit starten, dann sollten Dialoge grundsätzlich unterdrückt werden.

Für weitere Infos siehe adtf_launcher -help

Spätestens eine Kombination aller drei Vorschläge sollte deinen Use Cases (ich nehme an Automatisierung ?) abdecken, ansonsten ist es nicht

möglich in ADTF 2.x.

#4 - 2019-11-28 15:38 - hidden

Danke schön Florian. Es funktioniert. Wir können das Ticket Schließen.

#5 - 2019-11-28 16:05 - hidden

- Project changed from 9 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-27 2/2

https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
http://www.tcpdf.org

